package viewModels
{
    /**
     * Interface for any presentation model that is to be used
     * with the CounterView view.
     */
    public interface ICounterViewModel extends IViewModel
    {
        /**
         *
         */
        function get title():String;

        /**
         *
         */
        function get globalCount():int;

        /**
         *
         */
        function get count():int;

        /**
         * The sub-counters associated with this counter.
         */
        function set subCounters(value:Array):void;
    }
}